# 

import RTFDocument
from ZClasses import createZClassForBase
 
createZClassForBase(RTFDocument.RTFDocument, globals(), 
  'ZRTFDocument', 'WORD Document')

def initialize(context):
	"Initialize the RTFDocument product"
	context.registerClass(
		RTFDocument.RTFDocument,
		permission='Add RTFDocuments',
		constructors=(
			RTFDocument.addRTFDocumentForm,
			RTFDocument.addRTFDocument,
		),
		icon="www/icon.gif"
	)


def PUT_factory( self, name, typ, body ):
	from OFS.Image import Image, File
	from OFS.DTMLDocument import DTMLDocument

	if typ == 'application/msword':
		ob = RTFDocument.RTFDocument('', __name__=name)
	elif typ in ('text/xml', 'text/plain'):
		ob = DTMLDocument('', __name__=name)
	elif typ[:6] == 'image/':
		ob = Image(name, '', body, content_type=typ)
	else:
		ob = File(name, '', body, content_type=typ)
	return ob

import webdav.NullResource
webdav.NullResource.NullResource._default_PUT_factory = PUT_factory

